
Redmine - Defect #21673

ActionView::Template::Error: Cannot visit ThreadSafe::Array

2016-01-08 10:35 - Hendrik Roth

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.1.3

Description

executing bundle exec rake redmine:send_reminders days=7 RAILS_ENV="production" results in:

rake aborted!

ActionView::Template::Error: Cannot visit ThreadSafe::Array

/home/npticket/apps/npticket/current/app/models/user.rb:737:in `anonymous'

/home/npticket/apps/npticket/current/app/models/user.rb:731:in `current'

/home/npticket/apps/npticket/current/app/models/issue.rb:1242:in `css_classes'

/home/npticket/apps/npticket/current/app/helpers/application_helper.rb:87:in `link_to_issue'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:5:in `block in _app_views_

mailer_reminder_html_erb__2458635835046685007_70109836468080'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:4:in `each'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:4:in `_app_views_mailer_re

minder_html_erb__2458635835046685007_70109836468080'

/home/npticket/apps/npticket/current/app/models/mailer.rb:439:in `block in mail'

/home/npticket/apps/npticket/current/app/models/mailer.rb:437:in `mail'

/home/npticket/apps/npticket/current/app/models/mailer.rb:110:in `reminder'

/home/npticket/apps/npticket/current/app/models/mailer.rb:450:in `initialize'

/home/npticket/apps/npticket/current/config/initializers/10-patches.rb:154:in `deliver'

/home/npticket/apps/npticket/current/app/models/mailer.rb:365:in `block in reminders'

/home/npticket/apps/npticket/current/app/models/mailer.rb:364:in `each'

/home/npticket/apps/npticket/current/app/models/mailer.rb:364:in `reminders'

/home/npticket/apps/npticket/current/lib/tasks/reminder.rake:42:in `block (3 levels) in <top (requ

ired)>'

/home/npticket/apps/npticket/current/app/models/mailer.rb:386:in `with_synched_deliveries'

/home/npticket/apps/npticket/current/lib/tasks/reminder.rake:41:in `block (2 levels) in <top (requ

ired)>'

TypeError: Cannot visit ThreadSafe::Array

/home/npticket/apps/npticket/current/app/models/user.rb:737:in `anonymous'

/home/npticket/apps/npticket/current/app/models/user.rb:731:in `current'

/home/npticket/apps/npticket/current/app/models/issue.rb:1242:in `css_classes'

/home/npticket/apps/npticket/current/app/helpers/application_helper.rb:87:in `link_to_issue'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:5:in `block in _app_views_

mailer_reminder_html_erb__2458635835046685007_70109836468080'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:4:in `each'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:4:in `_app_views_mailer_re

minder_html_erb__2458635835046685007_70109836468080'

/home/npticket/apps/npticket/current/app/models/mailer.rb:439:in `block in mail'

/home/npticket/apps/npticket/current/app/models/mailer.rb:437:in `mail'

/home/npticket/apps/npticket/current/app/models/mailer.rb:110:in `reminder'

/home/npticket/apps/npticket/current/app/models/mailer.rb:450:in `initialize'

/home/npticket/apps/npticket/current/config/initializers/10-patches.rb:154:in `deliver'

/home/npticket/apps/npticket/current/app/models/mailer.rb:365:in `block in reminders'

/home/npticket/apps/npticket/current/app/models/mailer.rb:364:in `each'

/home/npticket/apps/npticket/current/app/models/mailer.rb:364:in `reminders'

/home/npticket/apps/npticket/current/lib/tasks/reminder.rake:42:in `block (3 levels) in <top (requ

ired)>'

/home/npticket/apps/npticket/current/app/models/mailer.rb:386:in `with_synched_deliveries'

/home/npticket/apps/npticket/current/lib/tasks/reminder.rake:41:in `block (2 levels) in <top (requ

ired)>'

NoMethodError: undefined method `visit_ThreadSafe_Array' for #<Arel::Visitors::PostgreSQL:0x007f87

6e3eab78>

2025-05-02 1/3



/home/npticket/apps/npticket/current/app/models/user.rb:737:in `anonymous'

/home/npticket/apps/npticket/current/app/models/user.rb:731:in `current'

/home/npticket/apps/npticket/current/app/models/issue.rb:1242:in `css_classes'

/home/npticket/apps/npticket/current/app/helpers/application_helper.rb:87:in `link_to_issue'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:5:in `block in _app_views_

mailer_reminder_html_erb__2458635835046685007_70109836468080'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:4:in `each'

/home/npticket/apps/npticket/current/app/views/mailer/reminder.html.erb:4:in `_app_views_mailer_re

minder_html_erb__2458635835046685007_70109836468080'

/home/npticket/apps/npticket/current/app/models/mailer.rb:439:in `block in mail'

/home/npticket/apps/npticket/current/app/models/mailer.rb:437:in `mail'

/home/npticket/apps/npticket/current/app/models/mailer.rb:110:in `reminder'

/home/npticket/apps/npticket/current/app/models/mailer.rb:450:in `initialize'

/home/npticket/apps/npticket/current/config/initializers/10-patches.rb:154:in `deliver'

/home/npticket/apps/npticket/current/app/models/mailer.rb:365:in `block in reminders'

/home/npticket/apps/npticket/current/app/models/mailer.rb:364:in `each'

/home/npticket/apps/npticket/current/app/models/mailer.rb:364:in `reminders'

/home/npticket/apps/npticket/current/lib/tasks/reminder.rake:42:in `block (3 levels) in <top (requ

ired)>'

/home/npticket/apps/npticket/current/app/models/mailer.rb:386:in `with_synched_deliveries'

/home/npticket/apps/npticket/current/lib/tasks/reminder.rake:41:in `block (2 levels) in <top (requ

ired)>'

Tasks: TOP => redmine:send_reminders

(See full trace by running task with --trace)

Related issues:

Related to Redmine - Feature #21668: Ruby 2.3 support Closed

History

#1 - 2016-01-08 11:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What versions are your Ruby and PostgreSQL adapter?

#2 - 2016-01-08 11:05 - Hendrik Roth

redmine: 3.2.0

ruby: 2.4.0

pg: 0.18.1

#3 - 2016-01-08 11:14 - Toshi MARUYAMA

Hendrik Roth wrote:

redmine: 3.2.0

ruby: 2.4.0

pg: 0.18.1

 Ruby 2.4.0?

#4 - 2016-01-08 11:47 - Toshi MARUYAMA

Do you mean Ruby 2.3.0?

https://www.ruby-lang.org/en/news/2015/12/25/ruby-2-3-0-released/

#5 - 2016-01-12 14:07 - Hendrik Roth

sorry, 2.3.0 of course.

#6 - 2016-01-12 14:13 - Toshi MARUYAMA

- Category deleted (Email notifications)

- Status changed from Needs feedback to Closed

- Priority changed from High to Normal

Redmine does not support Ruby 2.3 yet.
https://www.ruby-lang.org/en/news/2015/12/25/ruby-2-3-0-released/


#7 - 2016-01-12 14:14 - Toshi MARUYAMA

- Related to Feature #21668: Ruby 2.3 support added
